Package org.apache.calcite.avatica.remote

# Class Service.ExecuteRequest

java.lang.Object
org.apache.calcite.avatica.remote.Service.Base
org.apache.calcite.avatica.remote.Service.Request
org.apache.calcite.avatica.remote.Service.ExecuteRequest

Enclosing interface:
  Service

public static class Service.ExecuteRequest extends Service.Request
Request for `Meta.execute(org.apache.calcite.avatica.Meta.StatementHandle, java.util.List<org.apache.calcite.avatica.remote.TypedValue>, long)`.

## Field Summary

Fields
Modifier and Type
Field
Description
`final int`
`maxRowCount`
`final List<TypedValue>`
`parameterValues`
`final Meta.StatementHandle`
`statementHandle`

## Constructor Summary

Constructors
Constructor
Description
`ExecuteRequest(Meta.StatementHandle statementHandle, List<TypedValue> parameterValues, int maxRowCount)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`hashCode()`

### Methods inherited from class org.apache.calcite.avatica.remote.Service.Base

`p, p, p, p`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### statementHandle

public final Meta.StatementHandle statementHandle

### parameterValues

public final List<TypedValue> parameterValues

### maxRowCount

public final int maxRowCount

## Constructor Details

### ExecuteRequest

public ExecuteRequest(Meta.StatementHandle statementHandle, List<TypedValue> parameterValues, int maxRowCount)

## Method Details

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`